name: api-saladeaula-digital

services:
  dynamodb:
    image: amazon/dynamodb-local:latest
    container_name: dynamodb
    ports:
      - 8000:8000
    volumes:
      - ./.dynamodb_volume:/home/dynamodblocal/data
    working_dir: /home/dynamodblocal
    command: "-jar DynamoDBLocal.jar -sharedDb -dbPath ./data"

  meilisearch:
    container_name: meilisearch
    image: getmeili/meilisearch:v1.15
    volumes:
      - ./.meili_data:/meili_data
    restart: unless-stopped
    ports:
      - 7700:7700

  postgres:
    image: postgres
    container_name: postgres
    restart: always
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=pgsql@pwd
      - PGID=1000
      - PUID=1000
    ports:
      - 5432:5432
    volumes:
      - ./.postgres_data:/var/lib/postgresql/data
